com.microfocus.awm.meta.interfaces

## Enum EApplicationActionExecutionType

- java.lang.Object
- - java.lang.Enum<EApplicationActionExecutionType>
  - - com.microfocus.awm.meta.interfaces.EApplicationActionExecutionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EApplicationActionExecutionType>, org.eclipse.emf.common.util.Enumerator

      public enum EApplicationActionExecutionType
      extends java.lang.Enum<EApplicationActionExecutionType>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for the execution type of AWM application actions: Manual, OnLoad, OnFirstLoad, OnUnload
  See Also:
    `TaurusPackage.getEApplicationActionExecutionType()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MANUAL` The 'Manual' literal object.
    `ON_FIRST_LOAD` The 'On First Load' literal object.
    `ON_LOAD` The 'On Load' literal object.
    `ON_UNLOAD` The 'On Unload' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MANUAL_VALUE` The 'Manual' literal value.
    `static int` | `ON_FIRST_LOAD_VALUE` The 'On First Load' literal value.
    `static int` | `ON_LOAD_VALUE` The 'On Load' literal value.
    `static int` | `ON_UNLOAD_VALUE` The 'On Unload' literal value.
    `static java.util.List<EApplicationActionExecutionType>` | `VALUES` A public read-only list of all the 'EApplication Action Execution Type' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EApplicationActionExecutionType` | `get(int value)` Returns the 'EApplication Action Execution Type' literal with the specified integer value.
    `static EApplicationActionExecutionType` | `get(java.lang.String literal)` Returns the 'EApplication Action Execution Type' literal with the specified literal value.
    `static EApplicationActionExecutionType` | `getByName(java.lang.String name)` Returns the 'EApplication Action Execution Type' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EApplicationActionExecutionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EApplicationActionExecutionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MANUAL

          public static final EApplicationActionExecutionType MANUAL

      The 'Manual' literal object.
      See Also:
        `MANUAL_VALUE`

    - #### ON_LOAD

          public static final EApplicationActionExecutionType ON_LOAD

      The 'On Load' literal object.
      See Also:
        `ON_LOAD_VALUE`

    - #### ON_FIRST_LOAD

          public static final EApplicationActionExecutionType ON_FIRST_LOAD

      The 'On First Load' literal object.
      See Also:
        `ON_FIRST_LOAD_VALUE`

    - #### ON_UNLOAD

          public static final EApplicationActionExecutionType ON_UNLOAD

      The 'On Unload' literal object.
      See Also:
        `ON_UNLOAD_VALUE`

  - ### Field Detail

    - #### MANUAL_VALUE

          public static final int MANUAL_VALUE

      The 'Manual' literal value.
      See Also:
        `MANUAL`, Constant Field Values

    - #### ON_LOAD_VALUE

          public static final int ON_LOAD_VALUE

      The 'On Load' literal value.
      See Also:
        `ON_LOAD`, Constant Field Values

    - #### ON_FIRST_LOAD_VALUE

          public static final int ON_FIRST_LOAD_VALUE

      The 'On First Load' literal value.
      See Also:
        `ON_FIRST_LOAD`, Constant Field Values

    - #### ON_UNLOAD_VALUE

          public static final int ON_UNLOAD_VALUE

      The 'On Unload' literal value.
      See Also:
        `ON_UNLOAD`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EApplicationActionExecutionType> VALUES

      A public read-only list of all the 'EApplication Action Execution Type' enumerators.

  - ### Method Detail

    - #### values

          public static EApplicationActionExecutionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EApplicationActionExecutionType c : EApplicationActionExecutionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EApplicationActionExecutionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EApplicationActionExecutionType get(java.lang.String literal)

      Returns the 'EApplication Action Execution Type' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EApplicationActionExecutionType getByName(java.lang.String name)

      Returns the 'EApplication Action Execution Type' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EApplicationActionExecutionType get(int value)

      Returns the 'EApplication Action Execution Type' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EApplicationActionExecutionType>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.